!
! Copyright (c) 2000-2013 Yoshihide Yoshimoto
! 
#ifndef FFT_GRID_MACROS

#define FFT_A1D_DEFSZ(var,n) var(n,2)
#define FFT_A1D_RL(var,ind) var(ind,1)
#define FFT_A1D_IM(var,ind) var(ind,2)
#define FFT_A1M_DEFSZ(var,n,m) var(n,2,m)
#define FFT_A1M_RL(var,ind1,inda) var(ind1,1,inda)
#define FFT_A1M_IM(var,ind1,inda) var(ind1,2,inda)
#define FFT_A3D_DEFSZ(var,n1,n2,n3) var(n1,n2,n3,2)
#define FFT_A3D_RL(var,ind1,ind2,ind3) var(ind1,ind2,ind3,1)
#define FFT_A3D_IM(var,ind1,ind2,ind3) var(ind1,ind2,ind3,2)
#define FFT_A3M_DEFSZ(var,n1,n2,n3,m) var(n1,n2,n3,2,m)
#define FFT_A3M_RL(var,ind1,ind2,ind3,inda) var(ind1,ind2,ind3,1,inda)
#define FFT_A3M_IM(var,ind1,ind2,ind3,inda) var(ind1,ind2,ind3,2,inda)

#define FFT_PAD_NX(n) (n+1)
#define FFT_PAD_NY(n) (n+1)
#define FFT_PAD_NZ(n) (n+1)

#define FFT_GRID_MACROS

#endif
