! Copyright (c) 1983-2000 TAPP Consortium
! Copyright (c) 2000-2013 Yoshihide Yoshimoto
!  ==============================================================
!  config90.h -- defines parameters, etc.
!  ==============================================================
!
!  -----------------------------------------------------------------
!  nsymq: MAXnum of symmetry operations
!         (48 is enough including the inversion symmetry.)
!  -----------------------------------------------------------------
  integer nsymq
  parameter (nsymq=48)
!
!  -----------------------------------------------------------------
!  lmax:  MAXnum of L(angular momentum)
!  maxr:  MAXnum of Reference energies
!  nopt:  Number of OPTions
!  -----------------------------------------------------------------
  integer lmax,maxr,nopt
  parameter (lmax=3,maxr=2)
  parameter (nopt=6)
!
! -- end of config90.h
