!
! Copyright (c) 2000-2013 Yoshihide Yoshimoto
!
module xcf_types
  integer,parameter:: xcf_pbe = 1
  integer,parameter:: xcf_pbesol = 2
  integer,parameter:: xcf_pw91 = 3
  integer,parameter:: xcf_capz = 4
  integer,parameter:: xcf_ldapw92 = 5
  integer,parameter:: xcf_hartree_fock = 6
  integer,parameter:: xcf_pbe0 = 7
  integer,parameter:: xcf_pbe0_x = 8
  integer,parameter:: xcf_b3lyp = 9
  integer,parameter:: xcf_b3lyp_x = 10
  integer,parameter:: xcf_b3lyp_loc = 11

  character(len=3),parameter:: xcf_pbe_name = 'PBE'
  character(len=6),parameter:: xcf_pbesol_name = 'PBEsol'
  character(len=4),parameter:: xcf_pw91_name = 'PW91'
  character(len=4),parameter:: xcf_capz_name = 'CAPZ'
  character(len=7),parameter:: xcf_ldapw92_name = 'LDAPW92'
  character(len=2),parameter:: xcf_hartree_fock_name = 'HF'
  character(len=4),parameter:: xcf_pbe0_name = 'PBE0'
  character(len=6),parameter:: xcf_pbe0_x_name = 'PBE0_X'
  character(len=5),parameter:: xcf_b3lyp_name = 'B3LYP'
  character(len=7),parameter:: xcf_b3lyp_x_name = 'B3LYP_X'
  character(len=9),parameter:: xcf_b3lyp_loc_name = 'B3LYP_LOC'

  integer,parameter:: nxcf = 11
  integer,parameter:: xcf_is_gga(nxcf) = (/ 1, 1, 1, 0, 0, 1, 1, 1, 1, 1, 1/)

  real(kind=8),parameter:: xcf_exch_factor(nxcf) = &
       (/ 0.0d0, 0.0d0, 0.0d0, 0.0d0, 0.0d0, 1.0d0, 0.25d0, 0.0d0, &
       0.2d0, 0.0d0, 0.0d0/)
end module xcf_types
